module.exports = {
    productionSourceMap: false,// 生产环境是否要生成 sourceMap
    publicPath: './',  //   部署应用包时的基本 URL
    outputDir: 'dist',  //   打包时输出的文件目录
    assetsDir: 'assets',  //   放置静态文件夹目录
    css: {
        loaderOptions: {
            postcss: {
                plugins: [
                    require("postcss-px-to-viewport")({
                        unitToConvert: "px", // 把什么单位转换成vw
                        viewportWidth: 1080, // 视口宽度，设计稿宽度
                        viewportHeight: 1920, // 视口高度，设计稿高度
                        unitPrecision: 5, // 转换成vw单位的小数点后的保留位数
                        propList: ["*"], // 属性列表，表示你要把哪些css属性的px转换成vw
                        viewportUnit: "vw", // 使用的单位，目前可选单位有vw,vh。
                        fontViewportUnit: "vw", // 字体使用的单位
                        selectorBlackList: ['van', 'el-'], // 匹配不被转换为vw的选择器
                        minPixelValue: 1,
                        mediaQuery: false,
                        replace: true, // 是否直接更换属性值，而不添加备用属性
                        exclude: /(\/|\\)(node_modules)(\/|\\)/,
                    })
                ]
            }
        }
    }
}